=== debian/changelog ===
ros-noetic-tesseract-urdf (0.4.1-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sat, 24 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-urdf (0.4.0-1buster) buster; urgency=high

  * Improve tesseract_common unit test coverage
  * Improve exception text in urdf_parser
  * Fix package build depends
  * Move printNestedException and leverage forward declarations for tesseract_urdf
  * Do not catch exception in parseURDFString and parseURDFFile
  * Move tesseract_urdf implementation to cpp and fix clang tidy errors
  * Improve tesseract_urdf unit test coverage
  * Switch tesseract_urdf to use nested exception instead of custom status code class
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 23 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-urdf (0.3.1-1buster) buster; urgency=high

  * Add missing pcl depends to tesseract_urdf package.xml
  * Move tesseract_variables() before any use of custom macros
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 14 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-urdf (0.3.0-1buster) buster; urgency=high

  * Only enable code coverage if compiler definition is set
  * Add cmake format
  * Use boost targets, add cpack and license file (#572 <https://github.com/ros-industrial-consortium/tesseract/issues/572>)
  * Fix the way in which Eigen is included (#570 <https://github.com/ros-industrial-consortium/tesseract/issues/570>)
  * Contributors: Hervé Audren, Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 09 Apr 2021 05:00:00 -0000

ros-noetic-tesseract-urdf (0.2.0-1buster) buster; urgency=high

  * Switch addJoint, addLink, moveLink and addSceneGraph to use const&
  * Fix scene graph default visibility and collision enabled
  * Update cmake_common_scripts to ros_industrial_cmake_boilerplate
  * Move all directories in tesseract directory up one level
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 17 Feb 2021 06:00:00 -0000

ros-noetic-tesseract-urdf (0.1.0-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 31 Dec 2020 06:00:00 -0000
